com.impinj.stp

## Class StpApi.TIDMemory.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>
      - - com.impinj.stp.StpApi.TIDMemory.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TIDMemoryOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.TIDMemory

      public static final class StpApi.TIDMemory.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>
      implements StpApi.TIDMemoryOrBuilder

  Protobuf type `Impinj.STP.TIDMemory` Describes the TID memory of a tag.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TIDMemory` | `build()`
    `StpApi.TIDMemory` | `buildPartial()`
    `StpApi.TIDMemory.Builder` | `clear()`
    `StpApi.TIDMemory.Builder` | `clearData()` The data to write to a tag.
    `StpApi.TIDMemory.Builder` | `clearWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
    `StpApi.TIDMemory.Builder` | `clone()`
    `com.google.protobuf.ByteString` | `getData()` The data to write to a tag.
    `StpApi.TIDMemory` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `int` | `getWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
    `boolean` | `hasData()` The data to write to a tag.
    `boolean` | `hasWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.TIDMemory.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TIDMemory.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.TIDMemory.Builder` | `mergeFrom(StpApi.TIDMemory other)`
    `StpApi.TIDMemory.Builder` | `setData(com.google.protobuf.ByteString value)` The data to write to a tag.
    `StpApi.TIDMemory.Builder` | `setWordOffset(int value)` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>`

    - #### clear

          public StpApi.TIDMemory.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>`

    - #### clone

          public StpApi.TIDMemory.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.TIDMemory getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.TIDMemory build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.TIDMemory buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.TIDMemory.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TIDMemory.Builder>`

    - #### mergeFrom

          public StpApi.TIDMemory.Builder mergeFrom(StpApi.TIDMemory other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TIDMemory.Builder>`

    - #### mergeFrom

          public StpApi.TIDMemory.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TIDMemory.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasData

          public boolean hasData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits
      Specified by:
        `hasData` in interface `StpApi.TIDMemoryOrBuilder`

    - #### getData

          public com.google.protobuf.ByteString getData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits
      Specified by:
        `getData` in interface `StpApi.TIDMemoryOrBuilder`

    - #### setData

          public StpApi.TIDMemory.Builder setData(com.google.protobuf.ByteString value)

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits

    - #### clearData

          public StpApi.TIDMemory.Builder clearData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits

    - #### hasWordOffset

          public boolean hasWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
      Specified by:
        `hasWordOffset` in interface `StpApi.TIDMemoryOrBuilder`

    - #### getWordOffset

          public int getWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
      Specified by:
        `getWordOffset` in interface `StpApi.TIDMemoryOrBuilder`

    - #### setWordOffset

          public StpApi.TIDMemory.Builder setWordOffset(int value)

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset

    - #### clearWordOffset

          public StpApi.TIDMemory.Builder clearWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset